Skip to content

Create Runtime Key

POST
/api/v3/projects/{project_id}/runtime-keys/{target}
curl --request POST \
--url https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/runtime-keys/candidate

Create one target key, returning its raw value exactly once.

project_id
required
Project Id
string format: uuid
target
required
DeploymentTarget

A mutable deployment pointer to an immutable Project release.

string
Allowed values: candidate live
X-Admin-Key
Any of:
string

Successful Response

Media typeapplication/json
RuntimeKeyResponseV3

Masked runtime-key metadata and optional one-time secret.

object
api_key
Any of:
string
created
Created
boolean
created_at
required
Created At
string format: date-time
created_by
Any of:
string
expires_at
Any of:
string format: date-time
id
required
Id
string format: uuid
last_used_at
Any of:
string format: date-time
masked_key
required
Masked Key
string
rearmed_operation_ids
Rearmed Operation Ids
Array<string>
revoked_at
Any of:
string format: date-time
scopes
Scopes
Array<string>
status
required
Status
string
Allowed values: active expired revoked
target
required
DeploymentTarget

A mutable deployment pointer to an immutable Project release.

string
Allowed values: candidate live
Example
{
"created": false,
"status": "active",
"target": "candidate"
}

Authentication failed with a resumable next action.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

The authenticated actor lacks the required Project authority.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

The scoped management resource was not found.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

A stable management invariant prevented progress.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}